DRM_GEM_PRIME_HANDLE(9)

NAME
drm_gem_prime_handle_to_fd - PRIME export function for GEM drivers

SYNOPSIS

int drm_gem_prime_handle_to_fd(struct drm_device * dev, struct drm_file * file_priv, uint32_t handle, uint32_t flags, int * prime_fd);

ARGUMENTS

dev
    dev to export the buffer from

file_priv
    drm file-private structure

handle
    buffer handle to export

flags
    flags like DRM_CLOEXEC

prime_fd
    pointer to storage for the fd id of the create dma-buf

DESCRIPTION

This is the PRIME export function which must be used mandatorily by GEM drivers to ensure correct lifetime management of the underlying GEM object. The actual exporting from GEM object to a dma-buf is done through the gem_prime_export driver callback.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT